﻿/// <reference name="MicrosoftAjax.js"/>

Type.registerNamespace("Demo");

Demo.MyEnum = function() {
    /// <summary>It's Demo.MyEnum.</summary>
    /// <field name="enumItem1" type="Number" integer="true" static="true">It's the first item.</field>
    /// <field name="enumItem2" type="Number" integer="true" static="true">It's the second item.</field>
    if (arguments.length !== 0) throw Error.parameterCount();
    throw Error.notImplemented();
}
Demo.MyEnum.prototype = 
{
    enumItem1 : 1,
    enumItem2 : 2
}
Demo.MyEnum.registerEnum("Demo.MyEnum");



Demo.MyCommentedClass = function() {
    /// <summary>It's MyCommentedClass's description</summary>
}
Demo.MyCommentedClass.prototype = {

    myMethod : function(p) {
        /// <summary>It's MyCommentedClass's "myMethod" method</summary>
        /// <param name="p" type="Number" integer="true" mayBeNull="true">An integer</param>
        /// <returns type="Demo.MyEnum">Just try it</returns>
    },
    
    get_myDiv : function() {
        /// <summary>That's an property</summary>
        /// <value type="Object" domElement="true">This returns an div element</value>
    }
}
Demo.MyCommentedClass.registerClass("Demo.MyCommentedClass");